<div class="studentWrap">
      <div class="bredcum">
         <div class="menuTab pull-left">
           <ul>
             <li>
               <p  class="completed">Start</p>
             </li>
             <li>
               <div class="das"></div>
             </li>
             <li>
               <p class="completed" >Design</p>
             </li>
             <li>
               <div class="das"></div>
             </li>
             <li>

               <p [ngClass]="{'active': isActiveRouteHighlighted}"  class="completed">Assign</p>
             </li>
             <li>
               <div class="das"></div>
             </li>
             <li>
               <p>Share</p>
             </li>
           </ul>
         </div>
         <div class="btnAssing text-right">
            <button class="btn btn-cyean download">
            Import from question bank
            </button>
         </div>
      </div>
      <div class="titleCont">
         <h4 class="black">New Assignment - Assign Students   </h4>
      </div>
      <div class="contentCont">
         <div class="qCont">
            <div class="headingBar">
               <div class="col-sm-6 MP0">
                  <h4>{{assignmentParameterDetails.assignmentName}} for {{assignmentParameterDetails.className}}</h4>
                  <div class="tag">
                     <ul>
                        <li>
                           <p>{{assignmentParameterDetails.subjectName}}</p>
                        </li>
                        <li>
                           <p>{{assignmentParameterDetails.className}}</p>
                        </li>
                        <li>
                           <p>{{assignmentParameterDetails.semisterName}}</p>
                        </li>
                     </ul>
                  </div>
               </div>
               <div class="col-sm-6 MP0 text-right">
                  <div class="tag1">
                     <ul>
                        <!-- <li class="max">
                           <p>Collapse all questions</p>
                           </li>
                           <li>
                           <p>Questions created : 4</p>
                           </li> -->
                        <li>
                           <p>Marks : 20</p>
                        </li>
                     </ul>
                  </div>
               </div>
            </div>

            <div class="tab-container">
               <div class="tabBtnCont">
                  <ul class="tabBtn">
                     <li class="active"><a data-toggle="tab" href="#home" (click)="getAllStudentsList()"
                     >Students - {{assignmentParameterDetails.className}}, {{assignmentParameterDetails.semisterName}}</a></li>
                     <li><a data-toggle="tab" href="#menu1" (click)="getAllStudentsGroups()">Groups</a></li>
                     <li><a data-toggle="tab" href="#menu2">Other Students</a></li>
                  </ul>
                  <div  data-toggle="modal" data-target="#groppopUp" class="creatgrpBtn">
                     <p>+ Create Group</p>
                  </div>
               </div>
               <div class="tab-content">
                  <div id="home" class="tab-pane fade in active">
                     <div class="searchBar">
                        <ul class="lhs">
                           <li class="w1"><span class="searchIcong"></span></li>
                           <li class="w2"><input type="text"  [(ngModel)]="searchText"  class="seacrh" placeholder="Search students"/></li>
                        </ul>
                     </div>
                     <div class="tableCont table-responsive">
                        <table class="table">
                           <thead>
                              <tr>
                                 <th style="width:50px">
                                    <div class="checkBtn" (click)="fnToggle()"></div>
                                 </th>
                                 <th>
                                    <p class="profileName">NAME</p>
                                 </th>
                                 <th>EMAIL</th>
                                 <th>ATTENDANCE</th>
                                 <th>PERFORMANCE</th>
                              </tr>
                           </thead>
                           <tbody *ngFor=" let student of studentList  | grdFilter: {studentName: searchText};">
                              <tr  [ngClass]="{'activeRow':student.selected}"   >
                                <td>
                                 <!-- <label class="checkboxCusmt" (click)="selectStudent(student)">
                                    <input type="checkbox"  [checked]="student.selected">
                                    <span class="checkmark"></span>
                                  </label>-->

                                  <input type="checkbox" class="checkboxCusmt" [checked]="student.selected"
                                         (click)="selectStudent(student)"/>
                                  <span  [ngClass]="{'checkmark' : student.selected}"></span>

                                </td>
                                 <td>
                                    <div class="userProfile">
                                       <div class="profilePic">
                                          <img src="assets/image/profilePic.png" />
                                       </div>
                                       <p class="profileName">{{student.studentName}}</p>
                                    </div>
                                 </td>
                                 <td>{{student.studentEmail}}</td>
                                 <td>
                                    <div class="porgStatus">
                                       <span class="no">{{student.studentAttendance}}%</span>
                                       <div class="progBar">
                                          <span class="activeBar alert1" style="width:{{student.studentAttendance}}%"></span>
                                       </div>
                                    </div>
                                 </td>
                                 <td>
                                    <div class="porgStatus">
                                       <span class="no">{{student.studentPeformance}}%</span>
                                       <div class="progBar">
                                          <span class="activeBar alert2" style="width:{{student.studentPeformance}}%"></span>
                                       </div>
                                    </div>
                                 </td>
                              </tr>

                           </tbody>
                        </table>
                     </div>
                    <div class="custmrow">
                      <div class="wd50">
                        <div class="importHolder">
                          <div class="invitemem clearfix">
                            <p>Invite More Members</p>
                            <button class="btn btn-default importBtn pull-right">
                              <input type="file" name="fileToUpload" id="fileToUpload" [(ngModel)]="studentImportData"
                                     (change)="importStudentData($event)" ></button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div id="menu1" class="tab-pane fade">
                     <div class="searchBar">
                        <ul class="lhs">
                           <li class="w1"><span class="searchIcong"></span></li>
                           <li class="w2"><input type="text"  class="seacrh"  [(ngModel)]="searchGroup"   placeholder="Search group"/></li>
                        </ul>
                     </div>
                     <div class="tableCont">
                        <div class="tableCont table-responsive">
                           <table class="table">
                              <thead>
                                 <tr>
                                    <th class="icon iconUp iconDonn" style="width:5%">
                                          <div class="icon"></div>
                                       </th>
                                    <th style="width:10%">
                                       <div class="checkBtn"  ></div>
                                    </th>
                                    <th style="width:20%">
                                       <p class="profileName">GROUP NAME</p>
                                    </th>
                                    <th style="width:20%">GROUP EMAIL</th>
                                    <th style="width:15%">ATTENDANCE</th>
                                    <th style="width:15%">PERFORMANCE</th>
                                    <th style="width:15%">DUE DATE</th>
                                    <th style="width:5%"></th>
                                 </tr>
                              </thead>
                              <tbody>
                                 <tr>
                                    <!-- accordain one -->
                                    <td colspan="8" style="padding:0" >
                                       <table class="tableCont table-responsive accord" *ngFor=" let studentGroup of studentGroupList
                                       | grdFilter: {groupName: searchGroup};">
                                           <tr [ngClass]="{'activeRow':studentGroup.isSelcted}" >
                                             <td class="icon iconUp iconDonn"  style="width:5%">
                                               <div class="icon collapsed"   data-toggle="collapse"
                                                    [attr.data-target]="'#' "+ {{studentGroup.indexValue}}  aria-expanded="false"
                                                    aria-controls="collapseExample" ></div>

                                             </td>
                                             <td style="width:10%">
                                               <div class="checkBtn" (click)="selectIntermediateGroupDetails(studentGroup)" ></div>
                                             </td>
                                             <td style="width:20%">
                                               <div class="userProfile">
                                                 <p class="profileName" style="padding-left:0px">{{studentGroup.groupName}}</p>
                                               </div>
                                             </td>
                                             <td style="width:20%">{{studentGroup.groupEmail}}</td>
                                             <td style="width:15%">
                                             </td>
                                             <td style="width:15%">
                                             </td>
                                             <td style="width:15%">

                                               <div class="dateDrop">
                                                 <div class="dropDown custmdropdwon">
                                                   <select class="btn-custm">
                                                     <option>15 Sept 2019</option>
                                                     <option>16 Sept 2019</option>
                                                     <option>17 Sept 2019</option>
                                                     <option>18 Sept 2019</option>
                                                   </select>
                                                 </div>
                                               </div>
                                             </td>
                                             <td style="width:5%">
                                               <div class="dele"></div>
                                             </td>
                                           </tr>
                                           <tr class="collapse"  [attr.id]="studentGroup['indexValue']">

                                             <td colspan="8" >
                                               <table class="collpasedatatable" >
                                                 <tr  *ngFor=" let studentGroupData of studentGroup.studentDetails">
                                                   <td style="width:5%">
                                                   </td>
                                                   <td  style="width:10%">
                                                     <div class="checkBtn pull-right" (click)="fnToggle()"></div>
                                                   </td>
                                                   <td style="width:20%">
                                                     <div class="userProfile">
                                                       <div class="profilePic">
                                                         <img src="assets/image/profilePic.png" />
                                                       </div>
                                                       <p class="profileName">{{studentGroupData.studentName}}</p>
                                                     </div>
                                                   </td>
                                                   <td style="width:20%">{{studentGroupData.studentEmail}}</td>
                                                   <td style="width:15%">
                                                     <div class="porgStatus">
                                                       <span class="no">{{studentGroupData.studentAttendance}}%</span>
                                                       <div class="progBar">
                                                         <span class="activeBar alert1" style="width:45%"></span>
                                                       </div>
                                                     </div>
                                                   </td>
                                                   <td style="width:15%">
                                                     <div class="porgStatus">
                                                       <span class="no">{{studentGroupData.studentPeformance}}%</span>
                                                       <div class="progBar">
                                                         <span class="activeBar alert2" style="width:65%"></span>
                                                       </div>
                                                     </div>
                                                   </td>

                                                   <td style="width:15%">

                                                   </td>

                                                   <td style="width:5%">
                                                     <div class="dele"></div>
                                                   </td>


                                                 </tr>

                                               </table>
                                             </td>

                                           </tr>




                                       </table>
                                    </td>

                                 </tr>

                              </tbody>
                           </table>
                        </div>
                     </div>
                    <!-- <div class="invitBtn">
                        <a href="javascript:void(0)">+ Invite More Members</a>
                     </div>-->
                  </div>
                  <div id="menu2" class="tab-pane fade">
                     <div class="searchBar">
                        <ul class="lhs">
                           <li class="w1"><span class="searchIcong"></span></li>
                           <li class="w2"><input type="text"  class="seacrh" placeholder="Search students"/></li>
                        </ul>
                     </div>
                     <div class="tableCont">
                        <div class="alert alert-danger alert-dismissible fade in">
                           <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                           <strong>Work in progress</strong>
                        </div>
                     </div>
                  </div>
               </div>
            </div>




                

         </div>
      </div>
      <div class="nav">
         <div class="pull-right">
      <!--        <button class="btn btn-defult">Back</button>-->

            <button class="btn btn-cyean" *ngIf="isGroupEnabled" (click)="saveSelectedGroupToAssginment()">Next</button>
            <button class="btn btn-cyean" *ngIf="!isGroupEnabled" (click)="saveSelectedStudentsToAssginment()">student</button>
         </div>
      </div>
   </div>

================{{intermediateArr}}

   <app-creategrop-pop-up [selectedStudentList] = "intermediateArr" [assignmentSavedId]="assignmentParamsId"></app-creategrop-pop-up>
